<div id="cart">
  <div class="content mx-auto py-6 px-5">
    <h1 class="text-title font-weight-bold lightContentPrimary">Cart</h1>
    <div class="my-6 py-sm-5">
      <v-simple-table>
        <template v-slot:default>
          <thead>
            <tr>
              <th class="text-left" style="width: 56px"></th>
              <th class="text-left" style="width: 333px">
                <p
                  class="mb-0 text-body-2 lightContentPrimary font-weight-bold"
                >
                  Product
                </p>
              </th>
              <th class="text-left" style="width: 56px">
                <div>
                  <p
                    class="mb-0 text-body-2 lightContentPrimary font-weight-bold"
                  >
                    Price
                  </p>
                </div>
              </th>
              <th class="text-left">
                <p
                  class="mb-0 text-body-2 lightContentPrimary font-weight-bold"
                >
                  Quantity
                </p>
              </th>
              <th class="text-left">
                <p
                  class="mb-0 text-body-2 lightContentPrimary font-weight-bold"
                >
                  Subtotal
                </p>
              </th>
            </tr>
          </thead>
          <tbody>
            <tr v-for="(cart,i) in listCart" :key="i">
              <td class="py-2">
                <v-btn icon color="#F05252" small @click="onRemove(i)">
                  <v-icon color="#F05252"> mdi-close-circle </v-icon>
                </v-btn>
              </td>
              <td class="py-2">
                <div class="d-flex">
                  <img
                    :src="$utils.convertImg(cart.imageId.imageUrl)"
                    alt=""
                    width="80px"
                    height="80px"
                    style="object-fit: scale-down"
                  />
                  <p class="mb-0 ml-3 text-body-2 lightContentPrimary">
                    {{cart.productName}} - {{cart.listValue.join(" ")}}
                  </p>
                </div>
              </td>
              <td class="py-2">
                <div class="d-flex align-start full-h">
                  <p class="mb-0 text-body-2 lightContentPrimary">
                    ${{cart.price && $utils.formatCurrencyFloat(cart.price)}}
                  </p>
                </div>
              </td>
              <td class="py-2">
                <div class="d-flex align-start full-h">
                  <div
                    class="btn-quantity d-flex align-center"
                    style="background-color: #fff"
                  >
                    <div
                      class="pa-1 c-pointer d-flex align-center justify-center"
                      @click="onDecrease(i)"
                    >
                      <v-icon size="16"> mdi-minus </v-icon>
                    </div>
                    <div
                      class="pa-1 c-pointer d-flex align-center justify-center"
                    >
                      <p class="mb-0 text-body-2 lightContentPrimary">
                        {{cart.quantity}}
                      </p>
                    </div>
                    <div
                      class="pa-1 c-pointer d-flex align-center justify-center"
                      @click="onIncrease(i)"
                    >
                      <v-icon size="16"> mdi-plus </v-icon>
                    </div>
                  </div>
                </div>
              </td>
              <td class="py-2">
                <div class="d-flex align-start full-h">
                  <p class="mb-0 text-body-2 lightContentPrimary">
                    ${{cart.price && formatCurrency(cart.price *
                    cart.quantity)}}
                  </p>
                </div>
              </td>
            </tr>
          </tbody>
        </template>
      </v-simple-table>
      <div class="mt-5 d-flex align-center justify-end">
        <v-btn
          color="#1F2937"
          class="elevation-0"
          :disabled="isChanged"
          @click="onUpdateListCart()"
        >
          <span class="white--text text-none text-body-2 font-weight-medium">
            Update Cart
          </span>
        </v-btn>
      </div>
      <div class="mt-6 ml-auto py-5 px-0 px-sm-5" style="max-width: 550px">
        <v-row no-gutters>
          <v-col cols="5">
            <p class="mb-0 lightContentPrimary font-weight-bold">Subtotal:</p>
          </v-col>
          <v-col cols="7">
            <p class="mb-0 lightContentPrimary font-weight-bold fsize-15">
              ${{totalPrice}}
            </p>
          </v-col>
          <v-col cols="5">
            <p class="mb-0 lightContentPrimary font-weight-bold mt-2">
              Shipping:
            </p>
          </v-col>
          <v-col cols="7">
            <p
              class="mb-0 lightContentPrimary font-weight-medium fsize-15 mt-2"
            >
              Secured Shipping:
              <span class="font-weight-bold"
                >${{findGreatThanShipping.price}}</span
              >
            </p>
            <p class="mb-0 lightcontentPrimary font-weight-medium fsize-15">
              Shipping options will be updated during checkout.
            </p>
          </v-col>
          <v-col cols="5">
            <p class="mb-0 lightContentPrimary font-weight-bold mt-2">Tip:</p>
          </v-col>
          <v-col cols="7">
            <p class="mb-0 lightContentPrimary font-weight-bold fsize-15 mt-2">
              ${{tip}}
            </p>
          </v-col>
          <v-col cols="5">
            <p class="mb-0 lightContentPrimary font-weight-bold mt-2">Total:</p>
          </v-col>
          <v-col cols="7">
            <p class="mb-0 lightContentPrimary font-weight-bold fsize-15 mt-2">
              ${{formatCurrency(parseFloat(totalPrice) + tip +
              findGreatThanShipping.price)}}
            </p>
          </v-col>
        </v-row>
        <v-btn
          color="#1F2937"
          class="elevation-0 mt-6"
          block
          height="48px"
          @click="$router.push('/checkout')"
        >
          <span class="white--text text-none text-body-2 font-weight-medium">
            Proceed to checkout
          </span>
        </v-btn>
      </div>
    </div>
  </div>
</div>
